%define oname zc.zlibstorage

%def_with python3

Name: python-module-%oname
Version: 0.1.1
Release: alt0.M70C.1
Summary: ZODB storage wrapper for zlib compression of database records
License: ZPLv2.1
Group: Development/Python
Url: https://pypi.python.org/pypi/zc.zlibstorage/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-setuptools
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
BuildPreReq: python-tools-2to3
%endif

%py_requires zope.interface zc

%description
The zc.zlibstorage package provides ZODB storage wrapper implementations
that provides compression of database records.

%package -n python3-module-%oname
Summary: ZODB storage wrapper for zlib compression of database records
Group: Development/Python3
%py3_requires zope.interface zc

%description -n python3-module-%oname
The zc.zlibstorage package provides ZODB storage wrapper implementations
that provides compression of database records.

%package -n python3-module-%oname-tests
Summary: Tests for %oname
Group: Development/Python3
%py3_requires zope.testing

%description -n python3-module-%oname-tests
The zc.zlibstorage package provides ZODB storage wrapper implementations
that provides compression of database records.

This package contains tests for %oname.

%package tests
Summary: Tests for %oname
Group: Development/Python
%py_requires zope.testing

%description tests
The zc.zlibstorage package provides ZODB storage wrapper implementations
that provides compression of database records.

This package contains tests for %oname.

%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build_debug

%if_with python3
pushd ../python3
find -type f -name '*.py' -exec 2to3 -w -n '{}' +
%python3_build_debug
popd
%endif

%install
%python_install
%ifarch x86_64
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%if_with python3
pushd ../python3
%python3_install
popd
%ifarch x86_64
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
%endif

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/tests.*

%files tests
%python_sitelibdir/*/*/tests.*

%if_with python3
%files -n python3-module-%oname
%doc *.txt
%doc *.txt
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests.*
%exclude %python3_sitelibdir/*/*/*/tests.*

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/*/tests.*
%python3_sitelibdir/*/*/*/tests.*
%endif

%changelog
* Fri Aug 14 2015 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1.1-alt0.M70C.1
- backport

* Wed Jul 23 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1.1-alt1
- Initial build for Sisyphus

